// JSLint globals
/*global window, Number, Math, $, swfobject */

// JSLint parameters
/*jslint vars: true */

var oGuide;

$(function () {
    "use strict";

    oGuide = {
        "nProject" : 100044,
        "sType" : "EasyGuide",  // or Guide3D or EasyGuide; respect upper and lower case (e.g. not "easyGuide")
        "sMedia" : "kiosk",  // or kiosk or web; respect upper and lower case (e.g. not "Kiosk")
        "oDocument" : {
            "nWidth" : $(window.document.body).width(),
            "nHeight" : $(window.document.body).height()
        },
        "oApplicationNative" : {
            "nWidth" : 1080,
            "nHeight" : 1920
        },
        "oOverlayNative" : {
            "nWidth" : 830,
            "nHeight" : 1070,
            "nLeft" : 125,
            "nTop" : 360
        },
        "oApplicationCurrent" : {
            "nWidth" : Number("NaN"),
            "nHeight" : Number("NaN")
        },
        "oOverlayCurrent" : {
            "nWidth" : Number("NaN"),
            "nHeight" : Number("NaN"),
            "nLeft" : Number("NaN"),
            "nTop" : Number("NaN")
        },
        //"nClearTimeoutId" : window.setTimeout(function () { window.document.location.reload(true); }, 60 * 1000),
        "supressAutoReload" : function () { window.clearTimeout(oGuide.nClearTimeoutId); return true; },
        "setMode" : function (sModeId) { $("div#divOverlay").css("top", (sModeId === "M0001" ? Math.floor(nScaling * (oGuide.oOverlayNative.nTop + 270)) : Math.floor(nScaling * oGuide.oOverlayNative.nTop))); },
        "displayContent" : function (bVisible) { $("div#divOverlay").css("display", (bVisible === true ? "block" : "none")); }
    };

    var nScaling = (oGuide.oApplicationNative.nHeight * oGuide.oDocument.nWidth > oGuide.oApplicationNative.nWidth * oGuide.oDocument.nHeight) ? oGuide.oDocument.nHeight / oGuide.oApplicationNative.nHeight : oGuide.oDocument.nWidth / oGuide.oApplicationNative.nWidth;
    nScaling = (Math.abs(nScaling - 1 / 1) < 1 / 100) ? 1 : nScaling;
    nScaling = (Math.abs(nScaling - 1 / 2) < 2 / 100) ? 1 / 2 : nScaling;
    nScaling = (Math.abs(nScaling - 1 / 4) < 4 / 100) ? 1 / 4 : nScaling;
    //if (nScaling === 1) window.alert("Native");

    oGuide.oApplicationCurrent.nWidth = Math.floor(nScaling * oGuide.oApplicationNative.nWidth);
    oGuide.oApplicationCurrent.nHeight = Math.floor(nScaling * oGuide.oApplicationNative.nHeight);
    oGuide.oOverlayCurrent.nWidth = Math.floor(nScaling * oGuide.oOverlayNative.nWidth);
    oGuide.oOverlayCurrent.nHeight = Math.floor(nScaling * oGuide.oOverlayNative.nHeight);
    oGuide.oOverlayCurrent.nLeft = Math.floor(nScaling * oGuide.oOverlayNative.nLeft);
    oGuide.oOverlayCurrent.nTop = Math.floor(nScaling * oGuide.oOverlayNative.nTop);

    $("div#divViewport").add("div#divGuide").css("width", oGuide.oApplicationCurrent.nWidth).css("height", oGuide.oApplicationCurrent.nHeight);
    $("div#divOverlay").css("width", oGuide.oOverlayCurrent.nWidth).css("height", oGuide.oOverlayCurrent.nHeight).css("left", oGuide.oOverlayCurrent.nLeft).css("top", oGuide.oOverlayCurrent.nTop);

    var oFlashVars = {
        "settings" : "res-" + oGuide.nProject + "/Guide3D-Application-" + oGuide.nProject + ".xml"
    };
    var oFlashParameters = {
        "quality" : "high",
        "scale" : "showall",
        "bgcolor" : "#000000",
        "wmode" : "direct",
        "salign" : "t",
        "allowfullscreen" : "true",
        "allowscriptaccess" : "sameDomain"
    };
    var oFlashAttributes = {
        "id" : "object" + oGuide.sType + "-" + oGuide.sMedia + "-" + oGuide.nProject,
        "name" : "object" + oGuide.sType + "-" + oGuide.sMedia + "-" + oGuide.nProject,
        "align" : "top"
    };
    var fFlashCallback = function (oEvent) {
        window.setTimeout(oGuide.displayContent, 10000);
        if (oEvent.success) {
            oEvent.ref.tabIndex = 0;
            oEvent.ref.focus();
        }
    };
    swfobject.embedSWF(oGuide.sType + "-" + oGuide.sMedia + "-" + oGuide.nProject + ".swf", "divGuide", oGuide.oApplicationCurrent.nWidth, oGuide.oApplicationCurrent.nHeight, "10.0.0", "swf/ExpressInstall.swf", oFlashVars, oFlashParameters, oFlashAttributes, fFlashCallback);

});

//$(window).resize(function () { "use strict"; window.location.href = window.location.href; });

