// JSLint globals
/*global window, Number, Math, $, swfobject */

// JSLint parameters
/*jslint vars: true */

var oGuide;

$(function () {
    "use strict";

    var nScaling;

    oGuide = {
        "nProject" : 100044,
        "sType" : "EasyGuide",  // or Guide3D or EasyGuide; respect upper and lower case (e.g. not "easyGuide")
        "sMedia" : "kiosk",  // or kiosk or web; respect upper and lower case (e.g. not "Kiosk")
        "oDocument" : {
            "nWidth" : $(window.document.body).width(),
            "nHeight" : $(window.document.body).height()
        },
        "oApplicationNative" : {
            "nWidth" : 1080,
            "nHeight" : 1920
        },
        "oOverlayNative" : {
            "nLeft" : 125,
            "nTop" : 360,
            "nWidth" : 830,
            "nHeight" : 1070
        },
        //"nClearTimeoutId" : window.setTimeout(function () { window.document.location.reload(true); }, 60 * 1000),
        "supressAutoReload" : function () { window.clearTimeout(oGuide.nClearTimeoutId); return true; },
        "displayOverlay" : function (sUrl, nLeft, nTop, nWidth, nHeight) {
            if (sUrl) {
                $("iframe#iframeOverlay").attr("src", sUrl);
                oGuide.oOverlayCurrent.nLeft = $.isNumeric(nLeft) ? Math.floor(nScaling * nLeft) : oGuide.oOverlayCurrent.nLeft;
                oGuide.oOverlayCurrent.nTop = $.isNumeric(nTop) ? Math.floor(nScaling * nTop) : oGuide.oOverlayCurrent.nTop;
                oGuide.oOverlayCurrent.nWidth = $.isNumeric(nWidth) ? Math.floor(nScaling * nWidth) : oGuide.oOverlayCurrent.nWidth;
                oGuide.oOverlayCurrent.nHeight = $.isNumeric(nHeight) ? Math.floor(nScaling * nHeight) : oGuide.oOverlayCurrent.nHeight;
                $("div#divOverlay").css({
                    "display" : "block",
                    "left" : oGuide.oOverlayCurrent.nLeft,
                    "top" : oGuide.oOverlayCurrent.nTop,
                    "width" :  oGuide.oOverlayCurrent.nWidth,
                    "height" : oGuide.oOverlayCurrent.nHeight
                });
            } else {
                $("iframe#iframeOverlay").attr("src", "Loading.html");
                $("div#divOverlay").css("display", "none");
            }

            return true;
        }
    };

    nScaling = (oGuide.oApplicationNative.nHeight * oGuide.oDocument.nWidth > oGuide.oApplicationNative.nWidth * oGuide.oDocument.nHeight) ? oGuide.oDocument.nHeight / oGuide.oApplicationNative.nHeight : oGuide.oDocument.nWidth / oGuide.oApplicationNative.nWidth;
    nScaling = (Math.abs(nScaling - 1 / 1) < 1 / 100) ? 1 : nScaling;
    nScaling = (Math.abs(nScaling - 1 / 2) < 2 / 100) ? 1 / 2 : nScaling;
    nScaling = (Math.abs(nScaling - 1 / 4) < 4 / 100) ? 1 / 4 : nScaling;
    //if (nScaling === 1) window.alert("Native");

    oGuide.oApplicationCurrent = {
        "nWidth" : Math.floor(nScaling * oGuide.oApplicationNative.nWidth),
        "nHeight" : Math.floor(nScaling * oGuide.oApplicationNative.nHeight)
    };
    oGuide.oOverlayCurrent = {
        "nLeft" : Math.floor(nScaling * oGuide.oOverlayNative.nLeft),
        "nTop" : Math.floor(nScaling * oGuide.oOverlayNative.nTop),
        "nWidth" : Math.floor(nScaling * oGuide.oOverlayNative.nWidth),
        "nHeight" : Math.floor(nScaling * oGuide.oOverlayNative.nHeight)
    };

    $("div#divViewport").add("div#divGuide").css({ "width" : oGuide.oApplicationCurrent.nWidth, "height" : oGuide.oApplicationCurrent.nHeight });
    $("div#divOverlay").css({ "width" : oGuide.oOverlayCurrent.nWidth, "height" : oGuide.oOverlayCurrent.nHeight, "left" : oGuide.oOverlayCurrent.nLeft, "top" : oGuide.oOverlayCurrent.nTop });

    var oFlashVars = {
        "settings" : "res-" + oGuide.nProject + "/Guide3D-Application-" + oGuide.nProject + ".xml"
    };
    var oFlashParameters = {
        "quality" : "high",
        "scale" : "showall",
        "bgcolor" : "#000000",
        "wmode" : "direct",
        "salign" : "t",
        "allowfullscreen" : "true",
        "allowscriptaccess" : "sameDomain"
    };
    var oFlashAttributes = {
        "id" : "object" + oGuide.sType + "-" + oGuide.sMedia + "-" + oGuide.nProject,
        "name" : "object" + oGuide.sType + "-" + oGuide.sMedia + "-" + oGuide.nProject,
        "align" : "top"
    };
    var fFlashCallback = function (oEvent) {
        if (oEvent.success) {
            oEvent.ref.tabIndex = 0;
            oEvent.ref.focus();
        }
    };
    swfobject.embedSWF(oGuide.sType + "-" + oGuide.sMedia + "-" + oGuide.nProject + ".swf", "divGuide", oGuide.oApplicationCurrent.nWidth, oGuide.oApplicationCurrent.nHeight, "10.0.0", "swf/ExpressInstall.swf", oFlashVars, oFlashParameters, oFlashAttributes, fFlashCallback);

    window.setTimeout(oGuide.displayOverlay, 3000);

});

//$(window).resize(function () { "use strict"; window.location.href = window.location.href; });
